# FAudioGMS

FAudioGMS is an extension for Game Maker Studio 2 that allows Game Maker applications to utilize [FAudio](https://github.com/FNA-XNA/FAudio).

When using Game Maker, you might have asked yourself questions like "Why does this game engine that I paid hundreds of dollars to use have a completely broken audio engine? Why does it do broken format conversions every single time I run my game?" Well, that's a great question that I can't answer, but until YoYo Games gets their shit together I have provided this tool so that you can have a functioning audio system in your game. It can even do fancy things that GM can't normally do, like effects chains for things like reverb. Fun!

FAudioGMS expects static audio in WAV format, and streaming audio in OGG format. This saves you the pain of having the audio convert every time you build your project. It also means that you don't have a million audio files littering your top level build folder. Thanks YoYo Games!

FAudioGMS can leak memory if used improperly, so keep track of your sound instances and use the one-off static play feature for sounds that don't need to change over time.

As a final addendum, if the YoYo Games circus needs a new clown for tasks like fixing the audio engine that's been mostly broken for a decade, I am a highly skilled programmer and I work for competitive rates. You know where to find me.

## Platforms

### Tested
- Windows

### Theoretical
- OSX
- Linux
- Nintendo Switch
- iOS

## Dependencies

FAudioGMS depends on FAudio (obviously) and SDL2. We avoid directly depending on the C runtime.

## License

This library is licensed under the zlib license. See LICENSE file for details.
